// koggtag (C)2001 Dario Abatianni <eisfuchs@tigress.com>
// This program is distributed under the GNU General Public Licence (GPL)

#ifndef KOGGTAGMAINWINDOW_H
#define KOGGTAGMAINWINDOW_H

#include <kmainwindow.h>
#include <klistview.h>

#include "oggfile.h"

/* Class and method declaration */

class KOggTagMainWindow : public KMainWindow
{
  /* Derive from Q_OBJECT */
  Q_OBJECT

  public:
    /* Constructor */
    KOggTagMainWindow();
    /* Destructor */
    ~KOggTagMainWindow();

  private slots:
    void file_open();
    void file_open_from_input();
    void do_file_open();
    void file_save();
    void file_save(QString *new_file_name);
    void file_save_as();
    void file_redisplay();
    void file_quit();

    void add_tag();
    void add_tag(QString *new_name,QString *new_value);
    void remove_tag();
    void doSelect(QListViewItem *selected_item);
    void updateItemTagName(const QString & string);
    void updateItemTagValue(const QString & string);

    bool isChanged();
    bool querySaveChanges();

  private:
    KAction *undoAction;
    KAction *saveAction;
    KAction *saveAsAction;
    KLineEdit *filename_input;
    KListView *taglist;
    KLineEdit *tagname_input;
    KLineEdit *tagvalue_input;

    QPushButton *addTagButton;
    QPushButton *removeTagButton;

    OggFile *ogg_file;

    void setChanged(bool state);
    bool is_changed;
};

#endif
