// koggtag (C)2001 Dario Abatianni <eisfuchs@tigress.com>
// This program is distributed under the GNU General Public Licence (GPL)

#include "tag.h"

Tag::Tag(const char *new_name,const char *new_value)
{
  name=new QString(new_name);
  value=new QString(new_value);
}

Tag::Tag(char *name_and_value)
{
  /* At first just copy the whole string into a QString */
  QString *temp=new QString(name_and_value);

  /* Check if we have a "=" delimiter in the tag */
  int pos=temp->find('=');
  /* If not, treat this as a COMMENT-Tag */
  if(pos==-1) name=new QString("COMMENT");
  else
  {
    name=new QString(temp->left(pos));
    value=new QString(temp->mid(pos+1));
  }
}

Tag::~Tag()
{
  delete name;
  delete value;
}

QString *Tag::getName()
{
  return name;
}

QString *Tag::getValue()
{
  return value;
}

void Tag::setName(char *new_name)
{
  delete name;
  name=new QString(new_name);
}

void Tag::setValue(char *new_value)
{
  delete value;
  value=new QString(new_value);
}
